Summary: Leading World Wide Web server
Summary(pt_BR): Servidor HTTPD apache com suporte a SSL
Name: apache-ssl
Version: 1.2.6
Release: 5
Group: Networking/Daemons
Source: ftp://ftp.apache.org/apache/dist/apache_1.2.6.tar.gz
Source1: index.html
Source2: poweredby.gif
Source3: httpsd.init
Source4: apache-ssl.log
Source5: apache_1.2.5+ssl_1.13.tar.gz
Source6: make-test-certificate
Source7: thawte-create
Source8: http://www.php.net/distributions/php-3.0RC4.tar.gz
Source9: php3.ini.pt_BR
Patch: apache_1.2.6-ssl.cnc.patch
Patch1: apache-ssl-dirs.patch
Patch2: apache_1.2.6-1.2.5+ssl_1.13.patch
Patch3: apache_1.2.6-nheaders.patch
Patch4: apache_1.2.6-config.patch
Copyright: Freely distributable & usable
BuildRoot: /tmp/apache-root
Requires: /etc/mime.types
Prereq: /sbin/chkconfig

%description
Apache is a full featured web server that is freely available, and also
happens to be the most widely used. This one comes with ssl for encrypted
connections. Now it includes php3, disabled by default.

%description -l pt_BR
O Apache  um servidor web repleto de recursos e livremente disponvel.
Tambm  o servidor web mais usado no mundo. Este vem com SSL para
conexes encriptadas. E php3, desabilitado por default.

%changelog
* Fri Aug 14 1998 Arnaldo Carvalho de Melo <acme@conectiva.com.br>
- nheaders security patch

* Mon Jun  8 1998 Arnaldo Carvalho de Melo <acme@conectiva.com.br>
- Added pt_BR translations

* Mon May 18 1998 Arnaldo Carvalho de Melo <acme@conectiva.com.br>
- added php3

* Sat Apr 11 1998 Arnaldo Carvalho de Melo <acme@conectiva.com.br>

- fixed version typo, thanks to Henrik Edlund <piett@piett.com>
- added -days 999 to make-test-certificate

* Tue Mar 24 1998 Arnaldo Carvalho de Melo <acme@conectiva.com.br>

- updated to apache 1.2.6

* Sat Mar 21 1998 Arnaldo Carvalho de Melo <acme@conectiva.com.br>

- apache-ssl!

* Tue Jan 06 1998 Erik Troan <ewt@redhat.com>

- updated to 1.2.5, which includes many security fixes

* Wed Dec 31 1997 Otto Hammersmith <otto@redhat.com>

- fixed overkill on http.init stop

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>

- added patch for backslash DOS attach

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>

- added htdigest binary to file list

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>

- made the default index.html be config(noreplace) so we no longer
  blow away other folks' index.html

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>

- added chkconfig support
- added restart|status options to initscript
- renamed httpd.init to httpd

* Tue Oct 07 1997 Elliot Lee <sopwith@redhat.com>
- Redid spec file, patches, etc. from scratch.

%prep
%setup -n apache_1.2.6 -a 8
%setup -T -D -a 5 -n apache_1.2.6
%patch1
%patch2 -p1
%patch3 -p1
patch -p0 < SSLpatch
%patch -p1
%patch4 -p1
find . -name "*.orig" -exec rm {} \;

%build
cd php-3.0RC4
CFLAGS="$RPM_OPT_FLAGS -I/usr/include/pgsql" \
./configure --with-apache=$RPM_BUILD_DIR/apache_1.2.6 \
        --disable-debug \
        --with-system-regex \
        --with-pgsql=/usr/include/pgsql \
        --with-config-file-path=/etc/httpsd/conf
make -j3 install
cd ..

cd src
./Configure
make -j3 RPM_OPT_FLAGS="$RPM_OPT_FLAGS" -lphp3
make -j3 EXTRA_LIBS=-lcrypt -C ../support htpasswd htdigest

%install
rm -rf $RPM_BUILD_ROOT
for I in /usr/sbin /etc/httpsd/conf /home/httpsd/html /home/httpsd/icons \
	/home/httpsd/cgi-bin /usr/man/man1 /usr/man/man8 /usr/man/man1 \
	/var/log/httpsd /etc/logrotate.d; do
	mkdir -p $RPM_BUILD_ROOT/$I
done

install -s -m755 src/httpsd $RPM_BUILD_ROOT/usr/sbin

for i in digest passwd ; do
	install -s -m755 support/ht$i $RPM_BUILD_ROOT/usr/sbin/httpsd_ht$i
done

install -s -m755 $RPM_SOURCE_DIR/make-test-certificate $RPM_BUILD_ROOT/usr/sbin
install -s -m755 $RPM_SOURCE_DIR/thawte-create $RPM_BUILD_ROOT/usr/sbin

#install -s -m755 src/httpsd support/htdigest support/htpasswd \
#	$RPM_BUILD_ROOT/usr/sbin

#install -m755 support/dbmmanage.new $RPM_BUILD_ROOT/usr/sbin/dbmmanage

for I in access srm; do
	install -m644 conf/$I.conf-dist $RPM_BUILD_ROOT/etc/httpsd/conf/$I.conf
done

install -m644 $RPM_SOURCE_DIR/php3.ini.pt_BR $RPM_BUILD_ROOT/etc/httpsd/conf/php3.ini
install -m644 SSLconf/conf/httpd.conf $RPM_BUILD_ROOT/etc/httpsd/conf/httpd.conf
#install -m644 support/httpd.8 $RPM_BUILD_ROOT/usr/man/man8/httpsd.8
#install -m644 support/htpasswd.1 $RPM_BUILD_ROOT/usr/man/man1/htpasswd.1
install -m644 icons/* $RPM_BUILD_ROOT/home/httpsd/icons
install -m644 htdocs/apache_pb.gif $RPM_BUILD_ROOT/home/httpsd/html

install -m644 $RPM_SOURCE_DIR/poweredby.gif $RPM_SOURCE_DIR/index.html \
	$RPM_BUILD_ROOT/home/httpsd/html

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 $RPM_SOURCE_DIR/httpsd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/httpsd
for I in 0 1 2 6; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/httpsd $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K15httpsd
done
for I in 3 5; do
	mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
	ln -s ../init.d/httpsd $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S85httpsd
done

install -m644 $RPM_SOURCE_DIR/apache-ssl.log $RPM_BUILD_ROOT/etc/logrotate.d/apache-ssl

echo 'AddType application/x-httpd-php3 .php3' >> $RPM_BUILD_ROOT/etc/httpsd/conf/srm.conf
echo 'AddType application/x-httpd-php3 .phtml' >> $RPM_BUILD_ROOT/etc/httpsd/conf/srm.conf
echo 'AddType application/x-httpd-php3-source .phps' >> $RPM_BUILD_ROOT/etc/httpsd/conf/srm.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add httpsd

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del httpsd
fi

%files
%defattr(-,root,root)
/usr/sbin/*
%config /etc/logrotate.d/apache-ssl
%config /etc/httpsd/conf/*
%config /etc/rc.d/init.d/httpsd
%config(missingok) /etc/rc.d/rc3.d/S85httpsd
%config(missingok) /etc/rc.d/rc5.d/S85httpsd
%config(missingok) /etc/rc.d/rc0.d/K15httpsd
%config(missingok) /etc/rc.d/rc1.d/K15httpsd
%config(missingok) /etc/rc.d/rc2.d/K15httpsd
%config(missingok) /etc/rc.d/rc6.d/K15httpsd
%dir /home/httpsd
/home/httpsd/icons
%dir /home/httpsd/cgi-bin
%dir /home/httpsd/html
%config(noreplace) /home/httpsd/html/index.html
/home/httpsd/html/apache_pb.gif
/home/httpsd/html/poweredby.gif
%dir /var/log/httpsd
